aboutsummaryrefslogtreecommitdiffstats
path: root/src/scripts/ci/travis/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/scripts/ci/travis/build.sh')
-rwxr-xr-xsrc/scripts/ci/travis/build.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/src/scripts/ci/travis/build.sh b/src/scripts/ci/travis/build.sh
index 36517738b..d2e35112e 100755
--- a/src/scripts/ci/travis/build.sh
+++ b/src/scripts/ci/travis/build.sh
@@ -23,6 +23,8 @@ elif [ "$BUILD_MODE" = "nist" ]; then
elif [ "$BUILD_MODE" = "sonarqube" ]; then
# No special flags required
CFG_FLAGS+=()
+elif [ "$BUILD_MODE" = "fuzzers" ]; then
+ CFG_FLAGS+=(--build-fuzzers=test --with-sanitizers --with-debug-info --disable-shared)
elif [ "$BUILD_MODE" = "parallel" ]; then
if [ "$CC" = "gcc" ]; then
@@ -137,6 +139,11 @@ else
time "${MAKE_CMD[@]}"
fi
+if [ "$BUILD_MODE" = "fuzzers" ]; then
+ make fuzzers
+ make fuzzer_corpus_zip
+fi
+
# post-build ccache stats
ccache --show-stats
@@ -171,9 +178,13 @@ if [ "$BUILD_MODE" = "sonarqube" ]; then
# When neither on master branch nor on a non-external pull request => nothing to do
fi
-if [ "$BUILD_MODE" = "sonarqube" ] || [ "$BUILD_MODE" = "docs" ] || \
+if [ "$BUILD_MODE" = "sonarqube" ] || [ "$BUILD_MODE" = "docs" ] ||
( [ "${BUILD_MODE:0:5}" = "cross" ] && [ "$TRAVIS_OS_NAME" = "osx" ] ); then
echo "Running tests disabled on this build type"
+
+elif [ "$BUILD_MODE" = "fuzzers" ]; then
+ # Test each fuzzer against its corpus
+ ./src/scripts/test_fuzzers.py fuzzer_corpus build/fuzzer
else
TEST_CMD=("${TEST_PREFIX[@]}" $TEST_EXE "${TEST_FLAGS[@]}")
echo "Running" "${TEST_CMD[@]}"